<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <p id="results"></p>

    <script>
        let taulukko = [11, 22, 33, 44];
let summa = 0;
let lukumaara = 0;
let keskiarvo;
let tulosrivit = '';

for (let arvo of taulukko) {
    lukumaara++;
    summa = summa + arvo;
    keskiarvo = summa / taulukko.length;
    kaPyor = keskiarvo.toFixed(1);
}


for (let arvo of taulukko) {
    tulosrivit = taulukko.indexOf(arvo) + '=' + arvo;
    console.log(tulosrivit);
    
}


console.log(lukumaara);
console.log(summa);

let para = document.getElementById("results");
para.innerHTML =

"Taulukon alkioiden <br><br>" + tulosrivit + "<br>Lukumäärä on: " 
 + lukumaara + "<br> Summa on: " + summa + "<br> Keskiarvo on: " + kaPyor;
    </script>
</body>
</html>